Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

ImportError: cannot import name InsecureRequestWarning #35

Closed
Tob1as opened this issue Oct 4, 2015 · 4 comments

Comments

Projects
None yet
2 participants
@Tob1as
Copy link

commented Oct 4, 2015

Hello,

i have my system (Raspberry Pi 2) reinstalled (Raspian Jessie / Debian 8 Jessie) and install the gmusicproxy like:

Traceback (most recent call last):
File "/usr/local/bin/GMusicProxy", line 6, in
exec(compile(open(file).read(), file, 'exec'))
File "/home/pi/gmusicproxy/GMusicProxy", line 29, in
from requests.packages.urllib3.exceptions import InsecureRequestWarning
ImportError: cannot import name InsecureRequestWarning

What can i do or can you fix it? Thanks

I have seen, that gmusicapi 7.0.0 and gmusicproxy 1.0.2 is installed. I have in between attempts by the manual installation of gmusicproxy 1.0.1 and gmusicapi 6.0.0 to circumvent the problem, but unfortunately it has not helped.
Here you can see all current package: http://pastebin.com/5y3USSk9

@diraimondo

This comment has been minimized.

Copy link
Collaborator

commented Oct 4, 2015

Is it installed the package ca-certificates in your system?

@Tob1as

This comment has been minimized.

Copy link
Author

commented Oct 4, 2015

Yes, is installed.

Edit:
I install eyed3 and python-eyed3 now i become this error:

Traceback (most recent call last):
  File "/usr/local/bin/GMusicProxy", line 6, in <module>
    exec(compile(open(__file__).read(), __file__, 'exec'))
  File "/home/pi/gmusicproxy/GMusicProxy", line 26, in <module>
    import BaseHTTPServer, socket, urlparse, urllib2, requests
  File "/usr/local/lib/python2.7/dist-packages/requests/__init__.py", line 53, in <module>
    from .packages.urllib3.contrib import pyopenssl
  File "/usr/local/lib/python2.7/dist-packages/requests/packages/urllib3/contrib/pyopenssl.py", line 70, in <module>
    ssl.PROTOCOL_SSLv3: OpenSSL.SSL.SSLv3_METHOD,
AttributeError: 'module' object has no attribute 'PROTOCOL_SSLv3'

Edit2:
I do:
sudo easy_install --upgrade pip
and
sudo pip install requests==2.6.0

Now it works. Thanks, for your work :-D

@diraimondo

This comment has been minimized.

Copy link
Collaborator

commented Oct 4, 2015

@Tob1as

This comment has been minimized.

Copy link
Author

commented Oct 4, 2015

I found this to be the same time and have already edited my post (Edit2).

Thanks, for your work :-)

@diraimondo diraimondo closed this Oct 5, 2015

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.